-- 创建ES表。
DROP TABLE IF EXISTS shanglifeecif.individual;
CREATE  TABLE shanglifeecif.individual(
  indid string DEFAULT NULL COMMENT '个体ID', 
  custid string DEFAULT NULL COMMENT '客户号 本系统统一生成的全司范围的唯一标识', 
  scustid string DEFAULT NULL COMMENT '上游客户号 上游系统的客户ID', 
  name string DEFAULT NULL COMMENT '名称 T_CUSTOMER_CLASS.CUSTOMER_NAME', 
  birthday string DEFAULT NULL COMMENT '出生日期 T_CUSTOMER_CLASS.BIRTHDATE', 
  nobirth string DEFAULT NULL COMMENT '出生国家', 
  sobirth string DEFAULT NULL COMMENT '出生省份', 
  cobirth string DEFAULT NULL COMMENT '出生城市', 
  dday string DEFAULT NULL COMMENT '死亡日期', 
  gender string DEFAULT NULL COMMENT '性别',
  ethnic string DEFAULT NULL COMMENT '民族', 
  nation string DEFAULT NULL COMMENT '国籍', 
  homeadress string DEFAULT NULL COMMENT '籍贯 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_ADDRESS', 
  regresidence string DEFAULT NULL COMMENT '户口所在地', 
  maritalstat string DEFAULT NULL COMMENT '婚姻状况 一对多', 
  maritalstatdate string DEFAULT NULL COMMENT '婚姻状况日期 一对多', 
  offspring string DEFAULT NULL COMMENT '生育状况', 
  support string DEFAULT NULL COMMENT '赡养状况', 
  empstat string DEFAULT NULL COMMENT '就业状况 一对多', 
  empstatdate string DEFAULT NULL COMMENT '就业状况日期 一对多', 
  raid string DEFAULT NULL COMMENT '联系地址', 
  ral string DEFAULT NULL COMMENT '联系地址不分段', 
  al string DEFAULT NULL COMMENT '曾用地址不分段', 
  coadress int DEFAULT NULL COMMENT '地址登录数量', 
  pmphone string DEFAULT NULL COMMENT '常用手机 正在使用的手机', 
  mhone1 string DEFAULT NULL COMMENT '曾用手机1', 
  mhone2 string DEFAULT NULL COMMENT '曾用手机2', 
  sophone int DEFAULT NULL COMMENT '手机登录数量', 
  height double DEFAULT NULL COMMENT '身高', 
  weight double DEFAULT NULL COMMENT '体重', 
  cillness string DEFAULT NULL COMMENT '当前疾病', 
  pillness string DEFAULT NULL COMMENT '曾患疾病', 
  cdiseases string DEFAULT NULL COMMENT '先天性疾病', 
  bmi double DEFAULT NULL COMMENT 'BMI体制指数', 
  fmhistory string DEFAULT NULL COMMENT '家族病史', 
  evadate string DEFAULT NULL COMMENT '健康评估日期', 
  cohevaluation int DEFAULT NULL COMMENT '健康评估登录数量', 
  hphone string DEFAULT NULL COMMENT '家庭电话', 
  occupationid string DEFAULT NULL COMMENT '职业代码 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_CODE', 
  occupation string DEFAULT NULL COMMENT '职业名称 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_NAME', 
  odate string DEFAULT NULL COMMENT '职业时间 一对多', 
  employer string DEFAULT NULL COMMENT '工作单位', 
  wphone string DEFAULT NULL COMMENT '工作电话', 
  empdate string DEFAULT NULL COMMENT '工作单位时间', 
  lemployer string DEFAULT NULL COMMENT '曾经工作单位', 
  idcard string DEFAULT NULL COMMENT '身份证 T_CUSTOMER_CLASS.ID_NO', 
  passport string DEFAULT NULL COMMENT '护照', 
  dlicense string DEFAULT NULL COMMENT '驾驶证', 
  education string DEFAULT NULL COMMENT '最高学历', 
  university string DEFAULT NULL COMMENT '毕业学校', 
  edate string DEFAULT NULL COMMENT '学历时间', 
  wechat string DEFAULT NULL COMMENT '微信', 
  weibo string DEFAULT NULL COMMENT '微博', 
  email string DEFAULT NULL COMMENT '邮箱', 
  qq string DEFAULT NULL COMMENT 'QQ', 
  tiktok string DEFAULT NULL COMMENT '抖音', 
  saccount1 string DEFAULT NULL COMMENT '社交账号1', 
  sa1cat string DEFAULT NULL COMMENT '社交账号1类别', 
  saccount2 string DEFAULT NULL COMMENT '社交账号2', 
  sa2cat string DEFAULT NULL COMMENT '社交账号2类别', 
  ctype string DEFAULT NULL COMMENT '首选联系方式 手机，微信，微博，邮箱，QQ，抖音，其他', 
  father string DEFAULT NULL COMMENT '父亲 HEALTH_INSURANCE_LISTING.INSUREDNAME
HEALTH_INSURANCE_LISTING.RELATION:投保人与被保人关系', 
  mother string DEFAULT NULL COMMENT '母亲', 
  mate string DEFAULT NULL COMMENT '配偶', 
  child1 string DEFAULT NULL COMMENT '子女1', 
  child2 string DEFAULT NULL COMMENT '子女2', 
  cochild int DEFAULT NULL COMMENT '子女登录数量', 
  rpid string DEFAULT NULL COMMENT '房产', 
  rpdescribe string DEFAULT NULL COMMENT '房产描述', 
  corp int DEFAULT NULL COMMENT '房产登录数量', 
  vid string DEFAULT NULL COMMENT '车辆', 
  vdescribe string DEFAULT NULL COMMENT '车辆描述', 
  covehicle int DEFAULT NULL COMMENT '车辆登录数量', 
  anniversary1 string DEFAULT NULL COMMENT '纪念日1', 
  a1describe string DEFAULT NULL COMMENT '纪念日1类型', 
  anniversary2 string DEFAULT NULL COMMENT '纪念日2', 
  a2describe string DEFAULT NULL COMMENT '纪念日2类型', 
  soanniversary int DEFAULT NULL COMMENT '纪念日登录数量', 
  custtype string DEFAULT NULL COMMENT '客户类型', 
  bankname string DEFAULT NULL COMMENT '开户银行', 
  tobankcard string DEFAULT NULL COMMENT '银行卡类型 如：master、visa、银联等。', 
  accname string DEFAULT NULL COMMENT '账户名', 
  bankaccno string DEFAULT NULL COMMENT '银行帐号', 
  cobaccount int DEFAULT NULL COMMENT '账户登录数量', 
  sotlirisk double DEFAULT NULL COMMENT '传统寿险种保额合计', 
  soairisk double DEFAULT NULL COMMENT '意外类险种保额合计', 
  sosiirisk double DEFAULT NULL COMMENT '重疾类险种保额合计', 
  somcirisk double DEFAULT NULL COMMENT '医疗费用类险种保额合计', 
  someirisk double DEFAULT NULL COMMENT '医疗补贴类险种保额合计', 
  soefirisk double DEFAULT NULL COMMENT '教育金类险种保额合计', 
  sopirisk double DEFAULT NULL COMMENT '养老金类险种保额合计', 
  sowmirisk double DEFAULT NULL COMMENT '财富管理险种保额合计', 
  custclass int DEFAULT NULL COMMENT '客户等级',
  convalue int DEFAULT NULL COMMENT '贡献度分', 
  awarded3 int DEFAULT NULL COMMENT '家庭加分', 
  awarded2 int DEFAULT NULL COMMENT '续期加分', 
  awarded1 int DEFAULT NULL COMMENT '保单加分', 
  sovalue int DEFAULT NULL COMMENT '总分值', 
  enddate string DEFAULT NULL COMMENT '客户等级失效日期', 
  systemtag1 string DEFAULT NULL COMMENT '系统标签域1', 
  systemtag2 string DEFAULT NULL COMMENT '系统标签域2', 
  systemtag3 string DEFAULT NULL COMMENT '系统标签域3', 
  systemtag4 string DEFAULT NULL COMMENT '系统标签域4', 
  systemtag5 string DEFAULT NULL COMMENT '系统标签域5', 
  cocommunication int DEFAULT NULL COMMENT '接触次数', 
  lcdate string DEFAULT NULL COMMENT '最近接触时间', 
  lctype string DEFAULT NULL COMMENT '最近接触类型 投诉、问询、营销', 
  lcmethod string DEFAULT NULL COMMENT '最近接触方式 外呼、呼入', 
  cocomplaint int DEFAULT NULL COMMENT '投诉次数 当前客户投保保单相关投诉，包括非本人投诉', 
  lcptdate string DEFAULT NULL COMMENT '最近投诉时间 当前客户投保保单相关投诉，包括非本人投诉', 
  lcptreason string DEFAULT NULL COMMENT '最近投诉原因 当前客户投保保单相关投诉，包括非本人投诉', 
  lcptlink string DEFAULT NULL COMMENT '最近投诉环节 当前客户投保保单相关投诉，包括非本人投诉', 
  lcptresult string DEFAULT NULL COMMENT '最近投诉处理结果 当前客户投保保单相关投诉，包括非本人投诉', 
  lcptduration double DEFAULT NULL COMMENT '最近投诉处理时长 当前客户投保保单相关投诉，包括非本人投诉', 
  lcptperson string DEFAULT NULL COMMENT '最近投诉人', 
  soppremium double DEFAULT NULL COMMENT '累计已缴保费', 
  lappdate string DEFAULT NULL COMMENT '最近投保日期', 
  cndate string DEFAULT NULL COMMENT '最近报案日期', 
  cnstatus string DEFAULT NULL COMMENT '最近报案状态', 
  coclaim int DEFAULT NULL COMMENT '赔付次数', 
  soclaim double DEFAULT NULL COMMENT '赔付总额', 
  cocnotification int DEFAULT NULL COMMENT '报案登录数量', 
  fadate string DEFAULT NULL COMMENT '首次投保日期 当前客户为投保人时', 
  fachannel string DEFAULT NULL COMMENT '首张保单所属渠道 InsuranceArrangement.AgentChannel', 
  faorg string DEFAULT NULL COMMENT '首张保单所属机构 InsuranceArrangement.AgentOrg', 
  lpno string DEFAULT NULL COMMENT '最近保险单号 当前客户为投保人时', 
  lpstate string DEFAULT NULL COMMENT '最近保单状态 当前客户为投保人时', 
  lpname string DEFAULT NULL COMMENT '最近投保险种名称 当前客户为投保人时', 
  lpchannel string DEFAULT NULL COMMENT '最近保单所属渠道 InsuranceArrangement.AgentChannel', 
  lporg string DEFAULT NULL COMMENT '最近保单所属机构 InsuranceArrangement.AgentOrg', 
  copolicy int DEFAULT NULL COMMENT '保单登录数量', 
  lpostype string DEFAULT NULL COMMENT '最近保全类型 AUDIT_EDORLIST.EDORNAME', 
  iaccno1 string DEFAULT NULL COMMENT '保险账户1', 
  iaccname1 string DEFAULT NULL COMMENT '保险账户1名称', 
  iaccno2 string DEFAULT NULL COMMENT '保险账户2', 
  iaccname2 string DEFAULT NULL COMMENT '保险账户2名称', 
  iaccno3 string DEFAULT NULL COMMENT '保险账户3', 
  iaccname3 string DEFAULT NULL COMMENT '保险账户3名称', 
  soiaccount1 double DEFAULT NULL COMMENT '保险账户1余额', 
  soiaccount2 double DEFAULT NULL COMMENT '保险账户2余额', 
  soiaccount3 double DEFAULT NULL COMMENT '保险账户3余额', 
  coiaccount int DEFAULT NULL COMMENT '保险账户登录数量', 
  homeid string DEFAULT NULL COMMENT '家庭号 大数据平台HOME_NETWORK', 
  branchcode string DEFAULT NULL COMMENT '机构代码 数据归属机构，用于权限控制', 
  custstate string DEFAULT NULL COMMENT '客户状态 party可能会合并导致当前记录不再可用', 
  datasource string DEFAULT NULL COMMENT '数据来源', 
  smoking string DEFAULT NULL COMMENT '吸烟情况 从不、戒烟、吸烟', 
  drinking string DEFAULT NULL COMMENT '饮酒情况 从不、戒酒、饮酒', 
  pregnancy string DEFAULT NULL COMMENT '怀孕情况', 
  hobby1 string DEFAULT NULL COMMENT '兴趣爱好1', 
  hobby2 string DEFAULT NULL COMMENT '兴趣爱好2', 
  hobby3 string DEFAULT NULL COMMENT '兴趣爱好3', 
  pincome double DEFAULT NULL COMMENT '个人年收入', 
  fincome double DEFAULT NULL COMMENT '家庭年收入', 
  regtype string DEFAULT NULL COMMENT '户籍类型', 
  incomesource string DEFAULT NULL COMMENT '收入来源', 
  sistatus string DEFAULT NULL COMMENT '社保情况', 
  novpolicy int DEFAULT NULL COMMENT '有效保单件数', 
  noivpolicy int DEFAULT NULL COMMENT '失效保单件数', 
  nostinsurance string DEFAULT NULL COMMENT '短意险保单持有情况 仅持有短意险保单，持有短意险保单，无短意险保单', 
  nospinsurance string DEFAULT NULL COMMENT '趸交保单持有情况 仅持有趸交保单，持有趸交保单，无趸交保单', 
  iself string DEFAULT NULL COMMENT '本人投保情况 仅本人投保，本人已投保，本人未投保', 
  iparent string DEFAULT NULL COMMENT '父母投保情况 仅父母投保，父母已投保，父母未投保', 
  ichildren string DEFAULT NULL COMMENT '子女投保情况 仅子女投保，子女已投保，子女未·投保', 
  imate string DEFAULT NULL COMMENT '配偶投保情况 仅配偶投保，配偶已投保，配偶未投保', 
  policybelong string DEFAULT NULL COMMENT '业绩归属',
  zipcode string DEFAULT NULL, 
  othernumber string DEFAULT NULL, 
  otheridnumber string DEFAULT NULL, 
  officialcalculus string DEFAULT NULL,
  created_by string DEFAULT NULL COMMENT '创建人', 
  created_time date DEFAULT NULL COMMENT '创建时间', 
  updated_by string DEFAULT NULL COMMENT '更新人', 
  updated_time date DEFAULT NULL COMMENT '更新时间', 
  label1 string DEFAULT NULL COMMENT 'Label1', 
  label2 string DEFAULT NULL COMMENT 'Label2', 
  label3 string DEFAULT NULL COMMENT 'Label3', 
  label4 string DEFAULT NULL COMMENT 'Label4', 
  label5 string DEFAULT NULL COMMENT 'Label5', 
  label6 string DEFAULT NULL COMMENT 'Label6', 
  label7 string DEFAULT NULL COMMENT 'Label7', 
  label8 string DEFAULT NULL COMMENT 'Label8', 
  label9 string DEFAULT NULL COMMENT 'Label9', 
  label10 string DEFAULT NULL COMMENT 'Label10', 
  label11 string DEFAULT NULL COMMENT 'Label11', 
  label12 string DEFAULT NULL COMMENT 'Label12', 
  label13 string DEFAULT NULL COMMENT 'Label13', 
  label14 string DEFAULT NULL COMMENT 'Label14', 
  label15 string DEFAULT NULL COMMENT 'Label15', 
  label16 string DEFAULT NULL COMMENT 'Label16', 
  label17 string DEFAULT NULL COMMENT 'Label17', 
  label18 string DEFAULT NULL COMMENT 'Label18', 
  label19 string DEFAULT NULL COMMENT 'Label19', 
  label20 string DEFAULT NULL COMMENT 'Label20', 
  label21 string DEFAULT NULL COMMENT 'Label21', 
  label22 string DEFAULT NULL COMMENT 'Label22', 
  label23 string DEFAULT NULL COMMENT 'Label23', 
  label24 string DEFAULT NULL COMMENT 'Label24', 
  label25 string DEFAULT NULL COMMENT 'Label25', 
  label26 string DEFAULT NULL COMMENT 'Label26', 
  label27 string DEFAULT NULL COMMENT 'Label27', 
  label28 string DEFAULT NULL COMMENT 'Label28', 
  label29 string DEFAULT NULL COMMENT 'Label29', 
  label30 string DEFAULT NULL COMMENT 'Label30', 
  label31 string DEFAULT NULL COMMENT 'Label31', 
  label32 string DEFAULT NULL COMMENT 'Label32', 
  label33 string DEFAULT NULL COMMENT 'Label33', 
  label34 string DEFAULT NULL COMMENT 'Label34', 
  label35 string DEFAULT NULL COMMENT 'Label35', 
  label36 string DEFAULT NULL COMMENT 'Label36', 
  label37 string DEFAULT NULL COMMENT 'Label37', 
  label38 string DEFAULT NULL COMMENT 'Label38', 
  label39 string DEFAULT NULL COMMENT 'Label39', 
  label40 string DEFAULT NULL COMMENT 'Label40', 
  label41 string DEFAULT NULL COMMENT 'Label41', 
  label42 string DEFAULT NULL COMMENT 'Label42', 
  label43 string DEFAULT NULL COMMENT 'Label43', 
  label44 string DEFAULT NULL COMMENT 'Label44', 
  label45 string DEFAULT NULL COMMENT 'Label45', 
  label46 string DEFAULT NULL COMMENT 'Label46', 
  label47 string DEFAULT NULL COMMENT 'Label47', 
  label48 string DEFAULT NULL COMMENT 'Label48', 
  label49 string DEFAULT NULL COMMENT 'Label49', 
  label50 string DEFAULT NULL COMMENT 'Label50', 
  label51 string DEFAULT NULL COMMENT 'Label51', 
  label52 string DEFAULT NULL COMMENT 'Label52', 
  label53 string DEFAULT NULL COMMENT 'Label53', 
  label54 string DEFAULT NULL COMMENT 'Label54', 
  label55 string DEFAULT NULL COMMENT 'Label55', 
  label56 string DEFAULT NULL COMMENT 'Label56', 
  label57 string DEFAULT NULL COMMENT 'Label57', 
  label58 string DEFAULT NULL COMMENT 'Label58', 
  label59 string DEFAULT NULL COMMENT 'Label59', 
  label60 string DEFAULT NULL COMMENT 'Label60', 
  label61 string DEFAULT NULL COMMENT 'Label61', 
  label62 string DEFAULT NULL COMMENT 'Label62', 
  label63 string DEFAULT NULL COMMENT 'Label63', 
  label64 string DEFAULT NULL COMMENT 'Label64', 
  label65 string DEFAULT NULL COMMENT 'Label65', 
  label66 string DEFAULT NULL COMMENT 'Label66', 
  label67 string DEFAULT NULL COMMENT 'Label67', 
  label68 string DEFAULT NULL COMMENT 'Label68', 
  label69 string DEFAULT NULL COMMENT 'Label69', 
  label70 string DEFAULT NULL COMMENT 'Label70', 
  label71 string DEFAULT NULL COMMENT 'Label71', 
  label72 string DEFAULT NULL COMMENT 'Label72', 
  label73 string DEFAULT NULL COMMENT 'Label73', 
  label74 string DEFAULT NULL COMMENT 'Label74', 
  label75 string DEFAULT NULL COMMENT 'Label75', 
  label76 string DEFAULT NULL COMMENT 'Label76', 
  label77 string DEFAULT NULL COMMENT 'Label77', 
  label78 string DEFAULT NULL COMMENT 'Label78', 
  label79 string DEFAULT NULL COMMENT 'Label79', 
  label80 string DEFAULT NULL COMMENT 'Label80', 
  label81 string DEFAULT NULL COMMENT 'Label81', 
  label82 string DEFAULT NULL COMMENT 'Label82', 
  label83 string DEFAULT NULL COMMENT 'Label83', 
  label84 string DEFAULT NULL COMMENT 'Label84', 
  label85 string DEFAULT NULL COMMENT 'Label85', 
  label86 string DEFAULT NULL COMMENT 'Label86', 
  label87 string DEFAULT NULL COMMENT 'Label87', 
  label88 string DEFAULT NULL COMMENT 'Label88', 
  label89 string DEFAULT NULL COMMENT 'Label89', 
  label90 string DEFAULT NULL COMMENT 'Label90', 
  label91 string DEFAULT NULL COMMENT 'Label91', 
  label92 string DEFAULT NULL COMMENT 'Label92', 
  label93 string DEFAULT NULL COMMENT 'Label93', 
  label94 string DEFAULT NULL COMMENT 'Label94', 
  label95 string DEFAULT NULL COMMENT 'Label95', 
  label96 string DEFAULT NULL COMMENT 'Label96', 
  label97 string DEFAULT NULL COMMENT 'Label97', 
  label98 string DEFAULT NULL COMMENT 'Label98', 
  label99 string DEFAULT NULL COMMENT 'Label99', 
  label100 string DEFAULT NULL COMMENT 'Label100', 
  label101 string DEFAULT NULL COMMENT 'Label101', 
  label102 string DEFAULT NULL COMMENT 'Label102', 
  label103 string DEFAULT NULL COMMENT 'Label103', 
  label104 string DEFAULT NULL COMMENT 'Label104', 
  label105 string DEFAULT NULL COMMENT 'Label105', 
  label106 string DEFAULT NULL COMMENT 'Label106', 
  label107 string DEFAULT NULL COMMENT 'Label107', 
  label108 string DEFAULT NULL COMMENT 'Label108', 
  label109 string DEFAULT NULL COMMENT 'Label109', 
  label110 string DEFAULT NULL COMMENT 'Label110', 
  label111 string DEFAULT NULL COMMENT 'Label111', 
  label112 string DEFAULT NULL COMMENT 'Label112', 
  label113 string DEFAULT NULL COMMENT 'Label113', 
  label114 string DEFAULT NULL COMMENT 'Label114', 
  label115 string DEFAULT NULL COMMENT 'Label115', 
  label116 string DEFAULT NULL COMMENT 'Label116', 
  label117 string DEFAULT NULL COMMENT 'Label117', 
  label118 string DEFAULT NULL COMMENT 'Label118', 
  label119 string DEFAULT NULL COMMENT 'Label119', 
  label120 string DEFAULT NULL COMMENT 'Label120'
)
COMMENT '客户信息 '
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.Adress;
CREATE  TABLE shanglifeecif.Adress(
AID	string	DEFAULT NULL COMMENT '	地址ID	',
PartyID	string		DEFAULT NULL COMMENT '	参与方ID	',
PartyName	string		DEFAULT NULL COMMENT '	参与方名称	',
PartyPhone	string		DEFAULT NULL COMMENT '	参与方手机号',
PartyIDCard	string		DEFAULT NULL COMMENT '	参与方证件号码',
ACountry	string		DEFAULT NULL COMMENT '	地址_国家	',
AState	string		DEFAULT NULL COMMENT '	地址_省	',
ACity	string		DEFAULT NULL COMMENT '	地址_市县	',
ATown	string		DEFAULT NULL COMMENT '	地址_区镇	',
AStreet	string		DEFAULT NULL COMMENT '	地址_街道	',
AStreetNo	string		DEFAULT NULL COMMENT '	地址_门牌号	',
APostCode	string		DEFAULT NULL COMMENT '	地址_邮政编码	',
APhone	string		DEFAULT NULL COMMENT '	地址_电话	',
ADescribe	string		DEFAULT NULL COMMENT '	地址描述	',
ADate	DATE		DEFAULT NULL COMMENT '	地址时间	',
Longitude	string		DEFAULT NULL COMMENT '	经度	',
Latitude	string		DEFAULT NULL COMMENT '	纬度	',
AType	string	DEFAULT NULL COMMENT '	地址类型	',
CREATED_BY	string		DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	DATE		DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string		DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	DATE		DEFAULT NULL COMMENT '	更新时间	'
)
COMMENT '地址信息'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.Organisation;
CREATE  TABLE shanglifeecif.Organisation(

OID	string	DEFAULT NULL COMMENT '	团体ID	',
CustID	string	DEFAULT NULL COMMENT '	客户ID	',
SCustID	string	DEFAULT NULL COMMENT '	上游客户ID	',
Name	string	DEFAULT NULL COMMENT '	名称	',
OCID	string	DEFAULT NULL COMMENT '	联系人	',
OCName	string	DEFAULT NULL COMMENT '	联系人姓名	',
OCPhone	string	DEFAULT NULL COMMENT '	联系人电话	',
OFCID	string	DEFAULT NULL COMMENT '	财务联系人	',
OFCName	string	DEFAULT NULL COMMENT '	财务联系人姓名	',
OFCPhone	string	DEFAULT NULL COMMENT '	财务联系人电话	',
OLevel	string	DEFAULT NULL COMMENT '	组织层级	',
SCCode	string	DEFAULT NULL COMMENT '	统一社会信用代码	',
OLPerson	string	DEFAULT NULL COMMENT '	法人	',
BizType	string	DEFAULT NULL COMMENT '	行业类型	',
RegDate	DATE	DEFAULT NULL COMMENT '	注册日期	',
LegalStruct	string	DEFAULT NULL COMMENT '	企业性质	',
RegAddress	string	DEFAULT NULL COMMENT '	注册地址	',
RegFun	double	DEFAULT NULL COMMENT '	注册资金	',
NuOfEmployees	INT	DEFAULT NULL COMMENT '	员工人数	',
OState	string	DEFAULT NULL COMMENT '	经营状况	',
OSDate	DATE	DEFAULT NULL COMMENT '	经营状况日期	',
BranchCode	string	DEFAULT NULL COMMENT '	机构代码	',
systemtag1 string DEFAULT NULL COMMENT '系统标签域1', 
systemtag2 string DEFAULT NULL COMMENT '系统标签域2', 
systemtag3 string DEFAULT NULL COMMENT '系统标签域3', 
Wechat1	string	DEFAULT NULL COMMENT '	微信公众号	',
Wechat2	string	DEFAULT NULL COMMENT '	微信服务号	',
weibo string DEFAULT NULL COMMENT '微博', 
  email string DEFAULT NULL COMMENT '邮箱', 
  qq string DEFAULT NULL COMMENT 'QQ', 
  tiktok string DEFAULT NULL COMMENT '抖音', 
  saccount1 string DEFAULT NULL COMMENT '社交账号1', 
  sa1cat string DEFAULT NULL COMMENT '社交账号1类别',  -- dialect: ORACLE
  saccount2 string DEFAULT NULL COMMENT '社交账号2', 
  sa2cat string DEFAULT NULL COMMENT '社交账号2类别',  -- dialect: ORACLE
  ctype string DEFAULT NULL COMMENT '客户类型',  -- dialect: ORACLE
  bankname string DEFAULT NULL COMMENT '开户银行',  -- dialect: ORACLE
  tobankcard string DEFAULT NULL COMMENT '银行卡类型',  -- dialect: ORACLE
  accname string DEFAULT NULL COMMENT '账户名', 
  bankaccno string DEFAULT NULL COMMENT '银行帐号', 
  cobaccount INT DEFAULT NULL COMMENT '账户登录数量', 
  sotlirisk double DEFAULT NULL COMMENT '传统寿险种保额合计', 
  soairisk double DEFAULT NULL COMMENT '意外类险种保额合计', 
  sosiirisk double DEFAULT NULL COMMENT '重疾类险种保额合计', 
  somcirisk double DEFAULT NULL COMMENT '医疗费用类险种保额合计', 
  someirisk double DEFAULT NULL COMMENT '医疗补贴类险种保额合计', 
  soefirisk double DEFAULT NULL COMMENT '教育金类险种保额合计', 
  sopirisk double DEFAULT NULL COMMENT '养老金类险种保额合计', 
  sowmirisk double DEFAULT NULL COMMENT '财富管理险种保额合计', 
  custclass INT DEFAULT NULL COMMENT '客户等级', 
  convalue INT DEFAULT NULL COMMENT '贡献度分', 
  awarded3 INT DEFAULT NULL COMMENT '家庭加分', 
  awarded2 INT DEFAULT NULL COMMENT '续期加分', 
  awarded1 INT DEFAULT NULL COMMENT '保单加分', 
  sovalue INT DEFAULT NULL COMMENT '总分值', 
  enddate DATE DEFAULT NULL COMMENT '客户等级失效日期', 
  cocommunication INT DEFAULT NULL COMMENT '接触次数', 
  lcdate DATE DEFAULT NULL COMMENT '最近接触时间', 
  lctype string DEFAULT NULL COMMENT '最近接触类型',  -- dialect: ORACLE
  cocomplaint INT DEFAULT NULL COMMENT '投诉次数', 
  lcptdate DATE DEFAULT NULL COMMENT '最近投诉时间', 
  lcptreason string DEFAULT NULL COMMENT '最近投诉原因',  -- dialect: ORACLE
  lcptlink string DEFAULT NULL COMMENT '最近投诉环节',  -- dialect: ORACLE
  lcptresult string DEFAULT NULL COMMENT '最近投诉处理结果',  -- dialect: ORACLE
  lcptduration double DEFAULT NULL COMMENT '最近投诉处理时长', 
  lcptperson string DEFAULT NULL COMMENT '最近投诉人',  -- dialect: ORACLE
  soppremium double DEFAULT NULL COMMENT '累计已缴保费', 
  lappdate DATE DEFAULT NULL COMMENT '最近投保日期', 
  cndate DATE DEFAULT NULL COMMENT '最近报案日期', 
  cnstatus string DEFAULT NULL COMMENT '最近报案状态',  -- dialect: ORACLE
  cocnotification INT DEFAULT NULL COMMENT '报案登录数量', 
  fadate DATE DEFAULT NULL COMMENT '首次投保日期', 
  ladate DATE DEFAULT NULL COMMENT '最近投保日期', 
  lpno string DEFAULT NULL COMMENT '最近保险单号', 
  lpstate string DEFAULT NULL COMMENT '最近保单状态',  -- dialect: ORACLE
  lpname string DEFAULT NULL COMMENT '最近投保险种名称', 
  copolicy INT DEFAULT NULL COMMENT '保单登录数量', 
  iaccno1 string DEFAULT NULL COMMENT '保险账户1', 
  IAccName1 string DEFAULT NULL COMMENT '保险账户名称1', 
  iaccno2 string DEFAULT NULL COMMENT '保险账户2', 
  IAccName2 string DEFAULT NULL COMMENT '保险账户名称2', 
  iaccno3 string DEFAULT NULL COMMENT '保险账户3', 
  IAccName3 string DEFAULT NULL COMMENT '保险账户名称3', 
  soiaccount1 double DEFAULT NULL COMMENT '保险账户1余额', 
  soiaccount2 double DEFAULT NULL COMMENT '保险账户2余额', 
  soiaccount3 double DEFAULT NULL COMMENT '保险账户3余额', 
  coiaccount INT DEFAULT NULL COMMENT '保险账户登录数量',
  CustState string DEFAULT NULL COMMENT '客户状态', 
  DataSource string DEFAULT NULL COMMENT '数据来源',
  CREATED_BY	string DEFAULT NULL COMMENT '	创建人	',
	CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
	UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
	UPDATED_TIME	date DEFAULT NULL COMMENT '	更新时间	'
)
COMMENT '团体'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.PrivacyPreferenceInstructions;
CREATE  TABLE shanglifeecif.PrivacyPreferenceInstructions(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
PPIID	string	DEFAULT NULL COMMENT '	偏好ID	',
IndID	string	DEFAULT NULL COMMENT '	个体ID	',
IndPhone	string	DEFAULT NULL COMMENT '	个人手机号	',
IndIDCard	string	DEFAULT NULL COMMENT '	个人证件	',
IndName	string	DEFAULT NULL COMMENT '	个人名称	',
Type	string	DEFAULT NULL COMMENT '	类别	',
W1Stime	string	DEFAULT NULL COMMENT '	周一起始时间	',
W1Etime	string	DEFAULT NULL COMMENT '	周一结束时间	',
W2Stime	string	DEFAULT NULL COMMENT '	周二起始时间	',
W2Etime	string	DEFAULT NULL COMMENT '	周二结束时间	',
W3Stime	string	DEFAULT NULL COMMENT '	周三起始时间	',
W3Etime	string	DEFAULT NULL COMMENT '	周三结束时间	',
W4Stime	string	DEFAULT NULL COMMENT '	周四起始时间	',
W4Etime	string	DEFAULT NULL COMMENT '	周四结束时间	',
W5Stime	string	DEFAULT NULL COMMENT '	周五起始时间	',
W5Etime	string	DEFAULT NULL COMMENT '	周五结束时间	',
W6Stime	string	DEFAULT NULL COMMENT '	周六起始时间	',
W6Etime	string	DEFAULT NULL COMMENT '	周六结束时间	',
W7Stime	string	DEFAULT NULL COMMENT '	周日起始时间	',
W7Etime	string	DEFAULT NULL COMMENT '	周日结束时间	'
)
COMMENT '隐私偏好设定'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.HealthStatus;
CREATE  TABLE shanglifeecif.HealthStatus(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
HSID	string	DEFAULT NULL COMMENT '	健康状况ID	',
IndID	string	DEFAULT NULL COMMENT '	个体ID	',
IndName	string	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	string	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	string	DEFAULT NULL COMMENT '	个人证件号码	',
EvaDate	DATE	DEFAULT NULL COMMENT '	评估日期	',
Height	double	DEFAULT NULL COMMENT '	身高	',
Weight	double	DEFAULT NULL COMMENT '	体重	',
CIllness	string	DEFAULT NULL COMMENT '	当前疾病	',
PIllness	string	DEFAULT NULL COMMENT '	曾患疾病	',
BMI	double	DEFAULT NULL COMMENT '	BMI体制指数	'
)
COMMENT '健康状况'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.RealProperty;
CREATE  TABLE shanglifeecif.RealProperty(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
RPID	string	DEFAULT NULL COMMENT '	房产ID	',
IndID	string	DEFAULT NULL COMMENT '	IndID	',
IndName	string	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	string	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	string	DEFAULT NULL COMMENT '	个人证件号码	',
RPAID	string	DEFAULT NULL COMMENT '	房产地址	',
RPAL	string	DEFAULT NULL COMMENT '	房产地址不分段	',
RPRegNo	string	DEFAULT NULL COMMENT '	产权证号码	',
BLDGType	string	DEFAULT NULL COMMENT '	房产结构	',
BLDGStyle	string	DEFAULT NULL COMMENT '	房型	',
RPType	string	DEFAULT NULL COMMENT '	房产类型	',
RPOSize	double	DEFAULT NULL COMMENT '	建筑面积	',
RPTSize	double	DEFAULT NULL COMMENT '	实得面积	',
RPSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RPETime	DATE	DEFAULT NULL COMMENT '	结束时间	'
)
COMMENT '房产'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.Vehicle;
CREATE  TABLE shanglifeecif.Vehicle(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
VID	string	DEFAULT NULL COMMENT '	车辆ID	',
IndID	string	DEFAULT NULL COMMENT '	个人ID	',
VMake	string	DEFAULT NULL COMMENT '	车型	',
VModel	string	DEFAULT NULL COMMENT '	型号	',
VINNumber	string	DEFAULT NULL COMMENT '	VIN码	',
VCNumber	string	DEFAULT NULL COMMENT '	车架号	',
VRNumber	string	DEFAULT NULL COMMENT '	牌照号码	',
VSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
VETime	DATE	DEFAULT NULL COMMENT '	结束时间	'
)
COMMENT '车辆'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.IndRelationShip;
CREATE  TABLE shanglifeecif.IndRelationShip(

IRSID	string	DEFAULT NULL COMMENT '	个体关系ID	',
RSType	string	DEFAULT NULL COMMENT '	关系类型	',
IndID1	string	DEFAULT NULL COMMENT '	个体1	',
Name1	string	DEFAULT NULL COMMENT '	个体1名称	',
Mphone1	string	DEFAULT NULL COMMENT '	个体1手机	',
IDCard1	string	DEFAULT NULL COMMENT '	个体1证件号码	',
Role1	string	DEFAULT NULL COMMENT '	个体1角色	',
IndID2	string	DEFAULT NULL COMMENT '	个体2	',
Name2	string	DEFAULT NULL COMMENT '	个体2名称	',
Mphone2	string	DEFAULT NULL COMMENT '	个体2手机	',
IDCard2	string	DEFAULT NULL COMMENT '	个体2证件号码	',
Role2	string	DEFAULT NULL COMMENT '	个体2角色	',
RSSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RSETime	DATE	DEFAULT NULL COMMENT '	结束时间	',
RSDescribe	string	DEFAULT NULL COMMENT '	关系描述	',
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	'
)
COMMENT '个体关系'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.IndOrgRelationShip;
CREATE  TABLE shanglifeecif.IndOrgRelationShip(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
IORSID	string	DEFAULT NULL COMMENT '	关系ID	',
RSType	string	DEFAULT NULL COMMENT '	关系类型	',
IndID	string	DEFAULT NULL COMMENT '	个体	',
IndName	string	DEFAULT NULL COMMENT '	个体名称	',
Mphone	string	DEFAULT NULL COMMENT '	个体手机	',
IDCard	string	DEFAULT NULL COMMENT '	个体证件号码	',
IRole	string	DEFAULT NULL COMMENT '	个体角色	',
OID	string	DEFAULT NULL COMMENT '	团体	',
SCCode	string	DEFAULT NULL COMMENT '	统一社会信用代码	',
OrgName	string	DEFAULT NULL COMMENT '	团体名称	',
OCID	string	DEFAULT NULL COMMENT '	联系人	',
OCName	string	DEFAULT NULL COMMENT '	联系人姓名	',
OCPhone	string	DEFAULT NULL COMMENT '	联系人电话	',
ORole	string	DEFAULT NULL COMMENT '	团体角色	',
RSSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RSETime	DATE	DEFAULT NULL COMMENT '	结束时间	',
RSDescribe	string	DEFAULT NULL COMMENT '	关系描述	'
)
COMMENT '个人团体关系'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.InsuranceArrangement;
CREATE TABLE shanglifeecif.InsuranceArrangement(
    IAID STRING NOT NULL  COMMENT '保单ID' ,
    PolicyNo STRING    COMMENT '保险单号 INSURANCEINFO.CONTNO' ,
    PANo STRING    COMMENT '投保单号 INSURANCEINFO.PRTNO' ,
    AGRMNTAge STRING    COMMENT '保险期限' ,
    PBInst STRING    COMMENT '受益分配方式' ,
    PWComp STRING    COMMENT '承保分公司 HEALTH_INSURANCE_LISTING.AGENTGROUPAREA 营业区HEALTH_INSURANCE_LISTING.AGENTGROUP 营业部' ,
    PINDate DATE    COMMENT '起保日期 POLICY_INFORMATION.CVALIDATE' ,
    PMDate DATE    COMMENT '终保日期 POLICY_INFORMATION.ENDDATE' ,
    PISDate DATE    COMMENT '签单日期 INSURANCEINFO.SIGNDATE' ,
    PADate DATE    COMMENT '投保日期 INSURANCEINFO.POLAPPLYDATE' ,
    RenewalDate DATE    COMMENT '续保日期' ,
    NORenewal INT    COMMENT '续保次数 POLICY_INFORMATION.PAYCOUNT' ,
    PolicyType STRING    COMMENT '保单类型 PERSONAL_INSURANCE.CONTTYPE,需上游给出类型枚举值' ,
    SChannel STRING    COMMENT '销售渠道 HEALTH_INSURANCE_LISTING.SALECHANNELS
1	团险渠道
2	个人营销
3	银行代理
4	中介渠道
5	网销渠道' ,
    BSource STRING    COMMENT '业务来源' ,
    PolicyState STRING   COMMENT '保单状态 保单包括投保单的所处的状态，例如：录入、生效、批单等
INSURANCEINFO.APPFLAG
code	codename
0	未承保
1	承保
2	新增附加险
4	终止
9	续保
B	未对账
F	对账失败' ,
    TOPay STRING   COMMENT '缴费类型' ,
    Payment STRING   COMMENT '缴费方式 POLICY_INFORMATION.PAYINTV' ,
    Risk DOUBLE    COMMENT '总保额 HEALTH_INSURANCE_LISTING.AMNT(测试环境中，此表保单数据量较其他表如：POLICY_INFORMATION，INSURANCEINFO 缺少至少一个数据量级)' ,
    Prem DOUBLE   COMMENT '总保费 INSURANCEINFO.PREM' ,
    Currency STRING    COMMENT '币种' ,
    NPDate DATE    COMMENT '下次缴费日期' ,
    SOInsured INT    COMMENT '被保人数 HEALTH_GROUP_LISTING.PEOPLES3,团单' ,
    BSInsured DOUBLE    COMMENT '基本保额 保险合同条款费率表中载明的单位保额。比如中国人寿的康宁终身保险就是这样，如果购买的基本保险金额是10万的话，那么大病的保险金额就是基本保险金额的2倍即20万；' ,
    InsurValue DOUBLE    COMMENT '保单价值 保单价值，即保单现金价值。是指带有储蓄性质的人身bai保险单所具有的价值。保险人为履行合同责任通常提存责任准备金，如果您中途退保，即以该保单的责任准备金作为给付解约的退还金。被保险人要求解约或退保时，寿险公司应该发还的金额。
在长期寿险契约中，保险人为履行契约责任，通常需要提存一定数额的责任准备金。当被保险人于保险有效期内因故要求解约或退保时，保险人按规定，将提存的责任准备金减去解约扣除后的余额退还给被保险人，这部分余额即解约金，亦即退保时保单所具有的现金价值。' ,
    ApplicantID STRING    COMMENT '投保人 根据POLICY_INFORMATION.CUSTOMERNO关联individual上游客户号，再找到individualid' ,
    AppName STRING   COMMENT '投保人名称 POLICY_INFORMATION.NAME' ,
    AppPhone STRING COMMENT '投保人手机' ,
    AppCertID STRING  COMMENT '投保人证件号码 POLICY_INFORMATION.IDNO' ,
    InsuredID STRING    COMMENT '主被保险人' ,
    InsName STRING  COMMENT '主被保险人名称 POLICY_INFORMATION.INSUREDNAME' ,
    InsPhone STRING  COMMENT '主被保险人手机' ,
    InsCertID STRING   COMMENT '主被保险人证件号码 POLICY_INFORMATION.INSUREDIDNO' ,
    ProductID STRING   COMMENT '险种代码 POLICY_INFORMATION.RISKCODE' ,
    ProductName STRING   COMMENT '险种名称 INSURANCEINFO.RISKNAME' ,
    SalesPerson STRING   COMMENT '业务员' ,
    SPName STRING   COMMENT '业务员名称 HEALTH_INSURANCE_LISTING.AGENTCODE' ,
    IAccount STRING  COMMENT '所属保险账户' ,
    BranchCode STRING  COMMENT '机构代码' ,
    PolicyBelong STRING   COMMENT '业绩归属 POLICY_INFORMATION.SALECOM' ,
    AgentChannel STRING  COMMENT '代理渠道 INSURANCEINFO.SELLTYPE' ,
    AgentOrg STRING   COMMENT '代理机构' ,
    RegType STRING  COMMENT '户籍类型' ,
    PIncome STRING  COMMENT '个人年收入' ,
    FIncome DOUBLE   COMMENT '家庭年收入' ,
    IncomeSource STRING   COMMENT '收入来源' ,
    SocialInsurance STRING   COMMENT '是否有社保' ,
    OIPolicy STRING   COMMENT '是否投保其他保险公司' ,
    OICompany STRING  COMMENT '其他保险公司' ,
    OICProduct STRING  COMMENT '其他保险公司险种' ,
    OIAmount DOUBLE   COMMENT '其他保险公司保额' ,
    Drinking STRING   COMMENT '是否饮酒' ,
    DFavor STRING  COMMENT '饮酒喜好' ,
    POService STRING  COMMENT '是否保全 投保人持有保单是否在AUDIT_EDORLIST.CONTNO存在' ,
    PayEndYear INT    COMMENT '缴费年期 POLICY_INFORMATION.PAYENDYEAR' ,
    LoanMoney DOUBLE COMMENT '保单质押贷款金额' ,
    CREATED_BY STRING   COMMENT '创建人' ,
    CREATED_TIME DATE    COMMENT '创建时间' ,
    UPDATED_BY STRING   COMMENT '更新人' ,
    UPDATED_TIME DATE   COMMENT '更新时间' 
) 
COMMENT '保单 确定参与方之间，参与方和保险公司之间的协议，使相关各方能在遵守一定的规则并履行相关义务的前提下进行产品或资源或服务的供给'
stored as ES
with shard number 10
replication 1;

ALTER TABLE shanglifeecif.InsuranceArrangement ADD COLUMNS (LoanMoney double);


DROP TABLE IF EXISTS shanglifeecif.IndIARelationShip;
CREATE  TABLE shanglifeecif.IndIARelationShip(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
IIARSID	string	DEFAULT NULL COMMENT '	关系ID	',
IndID	string	DEFAULT NULL COMMENT '	个人ID	',
IndName	string	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	string	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	string	DEFAULT NULL COMMENT '	个人证件号码	',
RolePlayer	string	DEFAULT NULL COMMENT '	角色	',
ROBeneficiary	double	DEFAULT NULL COMMENT '	受益比例	',
IAID	string	DEFAULT NULL COMMENT '	保单号	',
PolicyNo	string	DEFAULT NULL COMMENT '	保险单号	',
PANo	string	DEFAULT NULL COMMENT '	投保单号	',
PolicyState	string	DEFAULT NULL COMMENT '	保单状态	',
RSSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RSEtime	DATE	DEFAULT NULL COMMENT '	结束时间	'
)
COMMENT '个人保单关系'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.Communication;
CREATE  TABLE shanglifeecif.Communication(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
CommID	string	DEFAULT NULL COMMENT '	接触ID	',
IndID	string	DEFAULT NULL COMMENT '	接触人ID	',
CPName	string	DEFAULT NULL COMMENT '	接触人名称	',
CPPhone	string	DEFAULT NULL COMMENT '	接触人手机	',
CPCertID	string	DEFAULT NULL COMMENT '	接触人证件号码	',
PolicyNo	string	DEFAULT NULL COMMENT '	保险单号	',
CommType	string	DEFAULT NULL COMMENT '	接触类型	',
CommChannel	string	DEFAULT NULL COMMENT '	接触渠道	',
Reason	string	DEFAULT NULL COMMENT '	接触原因	',
CommTime	date	DEFAULT NULL COMMENT '	接触时间	',
CommDescribe	string	DEFAULT NULL COMMENT '	接触描述	',
CompLink	string	DEFAULT NULL COMMENT '	投诉环节	',
CompReason	string	DEFAULT NULL COMMENT '	投诉原因	',
ProcedureResult	string	DEFAULT NULL COMMENT '	处理结果	',
CommLevel	string	DEFAULT NULL COMMENT '	接触等级	',
RVType	string	DEFAULT NULL COMMENT '	回访类型	',
RVDate	DATE	DEFAULT NULL COMMENT '	回访时间	',
RVDuration	double	DEFAULT NULL COMMENT '	回访时长	',
CPTDuration	double	DEFAULT NULL COMMENT '	投诉处理时长	'
)
COMMENT '接触'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.InsuranceClaimThread;
CREATE  TABLE shanglifeecif.InsuranceClaimThread(
ICThreadID	string	DEFAULT NULL COMMENT '	保险理赔Id	',
CRNo	string	DEFAULT NULL COMMENT '	立案号	',
CompanyNo	string	DEFAULT NULL COMMENT '	公司代码	',
PolicyNo	string	DEFAULT NULL COMMENT '	保险单号	',
ApplicantID	string	DEFAULT NULL COMMENT '	投保人	',
AppName	string	DEFAULT NULL COMMENT '	投保人名称	',
AppPhone	string	DEFAULT NULL COMMENT '	投保人手机	',
AppCertID	string	DEFAULT NULL COMMENT '	投保人证件号码	',
CNNo	string	DEFAULT NULL COMMENT '	报案号	',
LossTime	date	DEFAULT NULL COMMENT '	损失发生时间	',
RPID	string	DEFAULT NULL COMMENT '	报案人	',
RPName	string	DEFAULT NULL COMMENT '	报案人名称	',
RPPhone	string	DEFAULT NULL COMMENT '	报案人电话	',
LPID	string	DEFAULT NULL COMMENT '	出险人	',
LPName	string	DEFAULT NULL COMMENT '	出险人名称	',
CNDate	DATE	DEFAULT NULL COMMENT '	报案日期	',
LossDescribe	string	DEFAULT NULL COMMENT '	损失原因	',
CRDate	DATE	DEFAULT NULL COMMENT '	立案日期	',
CNDescribe	string	DEFAULT NULL COMMENT '	报案描述	',
ClaimStatus	string	DEFAULT NULL COMMENT '	理赔状态	',
CSDate	DATE	DEFAULT NULL COMMENT '	理赔状态日期	',
RelationShip	string	DEFAULT NULL COMMENT '	报案人与出险人关系	',
CCNo1	string	DEFAULT NULL COMMENT '	赔案号1	',
CCStatus1	string	DEFAULT NULL COMMENT '	赔案状态1	',
CCSDate1	DATE	DEFAULT NULL COMMENT '	赔案状态日期1	',
ProductID1	string	DEFAULT NULL COMMENT '	险种代码1	',
CCAMT1	double	DEFAULT NULL COMMENT '	赔付金额1	',
CCNo2	string	DEFAULT NULL COMMENT '	赔案号2	',
CCStatus2	string	DEFAULT NULL COMMENT '	赔案状态2	',
CCSDate2	DATE	DEFAULT NULL COMMENT '	赔案状态日期2	',
ProductID2	string	DEFAULT NULL COMMENT '	险种代码2	',
CCAMT2	double	DEFAULT NULL COMMENT '	赔付金额2	',
BranchCode	string	DEFAULT NULL COMMENT '	机构代码	',
ClaimCaseStatus	string	DEFAULT NULL COMMENT '	案件状态	',
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME date DEFAULT NULL COMMENT '	更新时间	'
)
COMMENT '保险理赔'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.Payment;
CREATE  TABLE shanglifeecif.Payment(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
PaymentID	string	DEFAULT NULL COMMENT '	收付交易 ID	',
IndID	string	DEFAULT NULL COMMENT '	个人ID	',
PlolicyNo	string	DEFAULT NULL COMMENT '	保险单号	',
PaymentReason	string	DEFAULT NULL COMMENT '	收付原因	',
PaymentItem	string	DEFAULT NULL COMMENT '	收付项目	',
PaymentChannel	string	DEFAULT NULL COMMENT '	收付方式	',
BankAccNo	string	DEFAULT NULL COMMENT '	银行账号	',
Currency	string	DEFAULT NULL COMMENT '	币种	',
SOPayment	double	DEFAULT NULL COMMENT '	收付金额	',
IndName	string	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	string	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	string	DEFAULT NULL COMMENT '	个人证件号码	',
DOPPayment	DATE	DEFAULT NULL COMMENT '	计划收付日期	',
DOAPayment	DATE	DEFAULT NULL COMMENT '	实付日期	'
)
COMMENT '收付交易'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.InsuranceAccount;
CREATE  TABLE shanglifeecif.InsuranceAccount(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date DEFAULT NULL COMMENT '	更新时间	',
IAccID	string	DEFAULT NULL COMMENT '	保险账户ID	',
IndID	string	DEFAULT NULL COMMENT '	个人ID	',
IndName	string	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	string	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	string	DEFAULT NULL COMMENT '	个人证件号码	',
RegDate	DATE	DEFAULT NULL COMMENT '	开户日期	',
UnRegDate	DATE	DEFAULT NULL COMMENT '	销户日期	',
IAccName	string	DEFAULT NULL COMMENT '	保险账户名称	',
IAccType	string	DEFAULT NULL COMMENT '	保险账户类型	',
IAccStatus	string	DEFAULT NULL COMMENT '	保险账户状态	',
FixedRate	double	DEFAULT NULL COMMENT '	固定利率	',
AccCDate	DATE	DEFAULT NULL COMMENT '	账户变动日期	',
AccBalance	double	DEFAULT NULL COMMENT '	账户余额	',
FrozenCapital	double	DEFAULT NULL COMMENT '	冻结余额	',
OutstdInterest	double	DEFAULT NULL COMMENT '	未结算利息	',
LBdate	DATE	DEFAULT NULL COMMENT '	上次结算日期	',
LABalance	double	DEFAULT NULL COMMENT '	上次结算余额	',
InterestType	string	DEFAULT NULL COMMENT '	计息类型	',
SettlementCycle	INT	DEFAULT NULL COMMENT '	结算周期	',
SettlementTime	date	DEFAULT NULL COMMENT '	结算时点	',
SettlementType	string	DEFAULT NULL COMMENT '	结算类型	'
)
COMMENT '保险账户'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.PartyLabel;
CREATE  TABLE shanglifeecif.PartyLabel(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
LabelID	string	DEFAULT NULL COMMENT '	标签ID	',
PartyID	string	DEFAULT NULL COMMENT '	参与方ID	',
LabelName	string	DEFAULT NULL COMMENT '	标签名称	',
LabelDescribe	string	DEFAULT NULL COMMENT '	标签描述	',
LabelType	string	DEFAULT NULL COMMENT '	标签类别	',
LabelLevel	INT	DEFAULT NULL COMMENT '	标签层级	',
LCDate	date	DEFAULT NULL COMMENT '	标签创建BrancheCode日期	',
LabelStatus	string	DEFAULT NULL COMMENT '	标签状态	',
AuthorID	string	DEFAULT NULL COMMENT '	标签创建人	',
BrancheCode	string	DEFAULT NULL COMMENT '	机构代码	',
PartyName	string	DEFAULT NULL COMMENT '	参与方名称	',
PartyIDNumber	string	DEFAULT NULL COMMENT '	参与方证件号码	',
PartyPhone	string	DEFAULT NULL COMMENT '	参与方电话	',
LabelCode	string	DEFAULT NULL COMMENT '	标签生成逻辑	'
)
COMMENT '参与方标签'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.MergeRelationship;
CREATE  TABLE shanglifeecif.MergeRelationship(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
MRSID	string	DEFAULT NULL COMMENT '	合并关系ID	',
Party1ID	string	DEFAULT NULL COMMENT '	合并方	',
Party2ID	string	DEFAULT NULL COMMENT '	被合并方	',
Party1Name	string	DEFAULT NULL COMMENT '	合并方名称	',
Party1IDCard	string	DEFAULT NULL COMMENT '	合并方证件号码	',
Party1Phone	string	DEFAULT NULL COMMENT '	合并方电话	',
Party2Name	string	DEFAULT NULL COMMENT '	被合并方名称	',
Party2IDCard	string	DEFAULT NULL COMMENT '	被合并方证件号码	',
Party2Phone	string	DEFAULT NULL COMMENT '	被合并方电话	',
MergeDate	date	DEFAULT NULL COMMENT '	合并日期	',
MergeMethod	string	DEFAULT NULL COMMENT '	合并方式	',
MergeAuditorID	string	DEFAULT NULL COMMENT '	合并批准人	',
MergeAuditorName	string	DEFAULT NULL COMMENT '	合并批准人名称	',
Party1Backup	string	DEFAULT NULL COMMENT '	合并方备份	',
MRSStatus	string	DEFAULT NULL COMMENT '	合并关系状态	'
)
COMMENT '参与方合并关系'
stored as ES
with shard number 10
replication 1;

DROP TABLE IF EXISTS shanglifeecif.PartyTimeLine;
CREATE  TABLE shanglifeecif.PartyTimeLine(
CREATED_BY	string	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	date	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	string	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	date	DEFAULT NULL COMMENT '	更新时间	',
TripID	string	DEFAULT NULL COMMENT '	旅程ID	',
PartyID	string	DEFAULT NULL COMMENT '	参与方ID	',
Name	string	DEFAULT NULL COMMENT '	参与方名称	',
PCertID	string	DEFAULT NULL COMMENT '	参与方证件号码	',
PPhone	string	DEFAULT NULL COMMENT '	参与方手机	',
PRole	string	DEFAULT NULL COMMENT '	参与方角色	',
Scenario	string	DEFAULT NULL COMMENT '	场景	',
SDate	date	DEFAULT NULL COMMENT '	发生日期	',
ThreadID	string	DEFAULT NULL COMMENT '	关联ID	',
ParentID	string	DEFAULT NULL COMMENT '	父ID	',
Describe	string	DEFAULT NULL COMMENT '	描述	',
Channel	string	DEFAULT NULL COMMENT '	来源	'
)
COMMENT '参与方事件'
stored as ES
with shard number 10
replication 1;
